from fermiinstallclass import FermiInstallClass

class InstallClass(FermiInstallClass):
    name = ("BTeVTrigger Install")
    pixmap = "btevtrigger.png"
    sortPriority = 10
    showLoginChoice = 1
    description = ("This will install the BTeV Trigger workgroup.")

    def setSteps(self, dispatch):
	FermiInstallClass.setSteps(self, dispatch);
	dispatch.skipStep("bootdisk")
        dispatch.skipStep("makebootdisk", skip = 1)

    def setGroupSelection(self, comps, intf):
	FermiInstallClass.setGroupSelection(self, comps, intf)

        comps["BTeVTrigger"].select()
